contact expansion incorrect when keyboard visible

Bug #1404309 reported by Bill Filler
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Canonical System Image
High
Unassigned
address-book-app
High
Renato Araujo Oliveira Filho
ubuntu-keyboard
Fix Released
High
Michael Sheldon
address-book-app (Ubuntu)
High
Unassigned
address-book-app (Ubuntu RTM)
High
Renato Araujo Oliveira Filho
ubuntu-keyboard (Ubuntu)
Undecided
Unassigned
ubuntu-keyboard (Ubuntu RTM)
Undecided
Unassigned

Bug Description

rtm build 184 on krillin

Steps to reproduce:
- open address book app
- click on search button
- click on one of the contacts at the top of the results to expand it

Expected results:
- the contact will expand and the keyboard will be dismissed

Actual results:
- the contact expands then immediately close and the keyboard is dismissed

Related branches

Bill Filler (bfiller)
Changed in address-book-app:
importance: Undecided → High
assignee: nobody → Renato Araujo Oliveira Filho (renatofilho)
Changed in address-book-app (Ubuntu):
importance: Undecided → High
Changed in address-book-app (Ubuntu RTM):
importance: Undecided → High
tags: added: ww03
Revision history for this message
Renato Araujo Oliveira Filho (renatofilho) wrote :

The problem here is that the keyboard is reporting a wrong visible change "false" -> "true" causing the contact to collapse.

Changed in address-book-app:
status: New → In Progress
Changed in ubuntu-keyboard:
assignee: nobody → Michael Sheldon (michael-sheldon)
Changed in ubuntu-keyboard:
status: New → In Progress
importance: Undecided → High
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-keyboard - 0.99.trunk.phablet2+15.04.20150108-0ubuntu1

---------------
ubuntu-keyboard (0.99.trunk.phablet2+15.04.20150108-0ubuntu1) vivid; urgency=low

  [ CI Train Bot ]
  * Resync trunk

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Renato Araujo Oliveira Filho ]
  * Make sure that changes on "InputMethod.extensions" property get
    propagated to maliit. (LP: #1384278)

  [ Michael Sheldon ]
  * Fix keyboard visibility reporting (LP: #1404309)
  * Extend existing autopilot tests to more thoroughly test each layout,
    add new tests for extended keys and ".com" key and fix crash when
    using keyboard after autopilot tests have been run.
  * Speed up individual backspaces and switch between individual and
    word backspace based on 3 words having been deleted instead of 3
    seconds having passed. (LP: #1347488)
 -- Ubuntu daily release <email address hidden> Thu, 08 Jan 2015 18:07:56 +0000

Changed in ubuntu-keyboard (Ubuntu):
status: New → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package address-book-app - 0.2+15.04.20150111-0ubuntu1

---------------
address-book-app (0.2+15.04.20150111-0ubuntu1) vivid; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Renato Araujo Oliveira Filho ]
  * Reset ListWithAction swipe state if list view start to flicking (LP:
    #1383870)
  * Replaced "X" (close icon) to "<" (back icon) on application header.
    (LP: #1373517, #1373494)
  * Implemented search for unaccented contact names. (LP: #1367906)
  * Fix check for keyboard visibility. (LP: #1404309)
 -- Ubuntu daily release <email address hidden> Sun, 11 Jan 2015 23:38:55 +0000

Changed in address-book-app (Ubuntu):
status: New → Fix Released
Changed in address-book-app (Ubuntu RTM):
assignee: nobody → Renato Araujo Oliveira Filho (renatofilho)
status: New → In Progress
Changed in address-book-app:
status: In Progress → Fix Committed
Bill Filler (bfiller)
tags: added: ww05
removed: ww03
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-keyboard - 0.99.trunk.phablet2+15.04.20150119~rtm-0ubuntu1

---------------
ubuntu-keyboard (0.99.trunk.phablet2+15.04.20150119~rtm-0ubuntu1) 14.09; urgency=low

  [ Michael Sheldon ]
  * Deactivate autocaps if we receive find out we're in a field that
    doesn't support it after having already entered the field (LP:
    #1412460)
  * Add dependencies for any keyboard layouts used in autopilot tests
 -- Ubuntu daily release <email address hidden> Mon, 19 Jan 2015 16:21:41 +0000

Changed in ubuntu-keyboard (Ubuntu RTM):
status: New → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package address-book-app - 0.2+15.04.20150113~rtm-0ubuntu1

---------------
address-book-app (0.2+15.04.20150113~rtm-0ubuntu1) 14.09; urgency=low

  [ Renato Araujo Oliveira Filho ]
  * Fix check for keyboard visibility. (LP: #1404309)
 -- Ubuntu daily release <email address hidden> Tue, 13 Jan 2015 12:39:37 +0000

Changed in address-book-app (Ubuntu RTM):
status: In Progress → Fix Released
Changed in address-book-app:
status: Fix Committed → Fix Released
Changed in canonical-devices-system-image:
milestone: none → ww05-2015
status: New → Fix Released
importance: Undecided → High
Changed in ubuntu-keyboard:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers